Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Check favorites
        • List favorites
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • FavoriteMark
  1. DataLens Public API
  2. DataLens API
  3. Favorites
  4. List favorites
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • FavoriteMark

List favorites

Returns the favorite marks of the current user, newest first.

RequestRequest

POST

https://api.datalens.tech/rpc/listFavorites

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "entityTypes": [
    "entry"
  ],
  "pageSize": 1,
  "pageToken": "example"
}

Name

Description

entityTypes

Type: string[]

Entity types to return. All types are returned if the field is omitted.

Min items: 1

Example
[
  "entry"
]

pageSize

Type: integer

Maximum number of favorites per page. Defaults to 200.

Min value: 1

Max value: 200

pageToken

Type: string

Token of the page to return, taken from the previous response.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entities": [
    {
      "entityId": "example",
      "entityType": "entry",
      "displayAlias": "example",
      "createdAt": "example"
    }
  ],
  "nextPageToken": "example"
}

Name

Description

entities

Type: FavoriteMark[]

Favorite marks of the current user.

Example
[
  {
    "entityId": "example",
    "entityType": "entry",
    "displayAlias": "example",
    "createdAt": "example"
  }
]

nextPageToken

Type: string

Token of the next page. Absent on the last page.

Example: example

FavoriteMarkFavoriteMark

Name

Description

createdAt

Type: string

Date and time when the entity was marked as a favorite.

Example: example

displayAlias

Type: string | null

Custom name the user gave to the favorite, or null if there is none.

Example: example

entityId

Type: string

ID of the entity marked as a favorite.

Example: example

entityType

Type: string

Type of the entity marked as a favorite.

Enum: entry, workbook, collection

Example
{
  "entityId": "example",
  "entityType": "entry",
  "displayAlias": "example",
  "createdAt": "example"
}

Was the article helpful?

Previous
Check favorites
Next
Overview
© 2026 Direct Cursus Technology L.L.C.